org.hibernate.validator.internal.xml

## Class ObjectFactory

- java.lang.Object
- - org.hibernate.validator.internal.xml.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.hibernate.validator.internal.xml package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.validator.internal.xml

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationType` | `createAnnotationType()` Create an instance of `AnnotationType`
    `BeanType` | `createBeanType()` Create an instance of `BeanType`
    `ClassType` | `createClassType()` Create an instance of `ClassType`
    `ConstraintDefinitionType` | `createConstraintDefinitionType()` Create an instance of `ConstraintDefinitionType`
    `JAXBElement<ConstraintMappingsType>` | `createConstraintMappings(ConstraintMappingsType value)` Create an instance of `JAXBElement``<``ConstraintMappingsType``>`}
    `ConstraintMappingsType` | `createConstraintMappingsType()` Create an instance of `ConstraintMappingsType`
    `ConstraintType` | `createConstraintType()` Create an instance of `ConstraintType`
    `ConstructorType` | `createConstructorType()` Create an instance of `ConstructorType`
    `CrossParameterType` | `createCrossParameterType()` Create an instance of `CrossParameterType`
    `DefaultValidatedExecutableTypesType` | `createDefaultValidatedExecutableTypesType()` Create an instance of `DefaultValidatedExecutableTypesType`
    `ElementType` | `createElementType()` Create an instance of `ElementType`
    `JAXBElement<AnnotationType>` | `createElementTypeAnnotation(AnnotationType value)` Create an instance of `JAXBElement``<``AnnotationType``>`}
    `JAXBElement<String>` | `createElementTypeValue(String value)` Create an instance of `JAXBElement``<``String``>`}
    `ExecutableValidationType` | `createExecutableValidationType()` Create an instance of `ExecutableValidationType`
    `FieldType` | `createFieldType()` Create an instance of `FieldType`
    `GetterType` | `createGetterType()` Create an instance of `GetterType`
    `GroupConversionType` | `createGroupConversionType()` Create an instance of `GroupConversionType`
    `GroupSequenceType` | `createGroupSequenceType()` Create an instance of `GroupSequenceType`
    `GroupsType` | `createGroupsType()` Create an instance of `GroupsType`
    `MethodType` | `createMethodType()` Create an instance of `MethodType`
    `ParameterType` | `createParameterType()` Create an instance of `ParameterType`
    `PayloadType` | `createPayloadType()` Create an instance of `PayloadType`
    `PropertyType` | `createPropertyType()` Create an instance of `PropertyType`
    `ReturnValueType` | `createReturnValueType()` Create an instance of `ReturnValueType`
    `ValidatedByType` | `createValidatedByType()` Create an instance of `ValidatedByType`
    `JAXBElement<ValidationConfigType>` | `createValidationConfig(ValidationConfigType value)` Create an instance of `JAXBElement``<``ValidationConfigType``>`}
    `ValidationConfigType` | `createValidationConfigType()` Create an instance of `ValidationConfigType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.validator.internal.xml

  - ### Method Detail

    - #### createReturnValueType

          public ReturnValueType createReturnValueType()

      Create an instance of `ReturnValueType`

    - #### createBeanType

          public BeanType createBeanType()

      Create an instance of `BeanType`

    - #### createGetterType

          public GetterType createGetterType()

      Create an instance of `GetterType`

    - #### createGroupSequenceType

          public GroupSequenceType createGroupSequenceType()

      Create an instance of `GroupSequenceType`

    - #### createValidationConfigType

          public ValidationConfigType createValidationConfigType()

      Create an instance of `ValidationConfigType`

    - #### createElementType

          public ElementType createElementType()

      Create an instance of `ElementType`

    - #### createFieldType

          public FieldType createFieldType()

      Create an instance of `FieldType`

    - #### createGroupConversionType

          public GroupConversionType createGroupConversionType()

      Create an instance of `GroupConversionType`

    - #### createParameterType

          public ParameterType createParameterType()

      Create an instance of `ParameterType`

    - #### createConstructorType

          public ConstructorType createConstructorType()

      Create an instance of `ConstructorType`

    - #### createConstraintType

          public ConstraintType createConstraintType()

      Create an instance of `ConstraintType`

    - #### createAnnotationType

          public AnnotationType createAnnotationType()

      Create an instance of `AnnotationType`

    - #### createClassType

          public ClassType createClassType()

      Create an instance of `ClassType`

    - #### createGroupsType

          public GroupsType createGroupsType()

      Create an instance of `GroupsType`

    - #### createMethodType

          public MethodType createMethodType()

      Create an instance of `MethodType`

    - #### createDefaultValidatedExecutableTypesType

          public DefaultValidatedExecutableTypesType createDefaultValidatedExecutableTypesType()

      Create an instance of `DefaultValidatedExecutableTypesType`

    - #### createExecutableValidationType

          public ExecutableValidationType createExecutableValidationType()

      Create an instance of `ExecutableValidationType`

    - #### createConstraintMappingsType

          public ConstraintMappingsType createConstraintMappingsType()

      Create an instance of `ConstraintMappingsType`

    - #### createPropertyType

          public PropertyType createPropertyType()

      Create an instance of `PropertyType`

    - #### createCrossParameterType

          public CrossParameterType createCrossParameterType()

      Create an instance of `CrossParameterType`

    - #### createConstraintDefinitionType

          public ConstraintDefinitionType createConstraintDefinitionType()

      Create an instance of `ConstraintDefinitionType`

    - #### createValidatedByType

          public ValidatedByType createValidatedByType()

      Create an instance of `ValidatedByType`

    - #### createPayloadType

          public PayloadType createPayloadType()

      Create an instance of `PayloadType`

    - #### createValidationConfig

          public JAXBElement<ValidationConfigType> createValidationConfig(ValidationConfigType value)

      Create an instance of `JAXBElement``<``ValidationConfigType``>`}

    - #### createConstraintMappings

          public JAXBElement<ConstraintMappingsType> createConstraintMappings(ConstraintMappingsType value)

      Create an instance of `JAXBElement``<``ConstraintMappingsType``>`}

    - #### createElementTypeAnnotation

          public JAXBElement<AnnotationType> createElementTypeAnnotation(AnnotationType value)

      Create an instance of `JAXBElement``<``AnnotationType``>`}

    - #### createElementTypeValue

          public JAXBElement<String> createElementTypeValue(String value)

      Create an instance of `JAXBElement``<``String``>`}

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved